shadow/tests/split_groups/10_groupdel_no_split_group_already_split/groupdel.test

55 lines
1.3 KiB
Plaintext
Raw Normal View History

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "Delete a split group, with MAX_MEMBERS_PER_GROUP set to 0"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "Delete group foo (groupdel foo)..."
groupdel foo 2>tmp/groupdel.err && exit 1 || {
status=$?
}
echo "OK"
echo -n "Check returned status ($status)..."
test "$status" = "10"
echo "OK"
echo "groupdel reported:"
echo "======================================================================="
cat tmp/groupdel.err
echo "======================================================================="
echo -n "Check that there were a failure message..."
diff -au data/groupdel.err tmp/groupdel.err
echo "error message OK."
rm -f tmp/groupdel.err
echo -n "Check the passwd file..."
../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl config/etc/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl config/etc/gshadow /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0